#!/bin/bash

ffoo import termcolors


FFOO_MKPRETTY_COLOR_DEBUG=""
FFOO_MKPRETTY_COLOR_DIE=""
FFOO_MKPRETTY_COLOR_USAGE_IS=""
FFOO_MKPRETTY_COLOR_THINK=""
FFOO_MKPRETTY_COLOR_WARN=""
FFOO_MKPRETTY_COLOR_OFF=""


__ffoo_mkpretty_color__init() {
    test -t 2 || return 0   # stderr is a pipe/file; refrain from colors
    FFOO_MKPRETTY_COLOR_DEBUG="${FFOO_TERMCOLORS_LBLUE}"
    FFOO_MKPRETTY_COLOR_DIE="${FFOO_TERMCOLORS_LRED}"
    FFOO_MKPRETTY_COLOR_USAGE_IS="${FFOO_TERMCOLORS_YELLOW}"
    FFOO_MKPRETTY_COLOR_THINK="${FFOO_TERMCOLORS_NONE}"
    FFOO_MKPRETTY_COLOR_WARN="${FFOO_TERMCOLORS_LRED}"
    FFOO_MKPRETTY_COLOR_OFF="${FFOO_TERMCOLORS_NONE}"
}


mkpretty_debug() {
    while IFS= read line;
    do echo -ne "${FFOO_MKPRETTY_COLOR_DEBUG}debug:$caller:$FFOO_MKPRETTY_COLOR_OFF"
       echo "$line"; done
}


mkpretty_die() {
    echo -ne "$FFOO_MKPRETTY_COLOR_DIE"
    while IFS= read line;
    do echo "$line"; done
    echo -ne "$FFOO_MKPRETTY_COLOR_OFF"
}


mkpretty_usage_is() {
    echo -ne "$FFOO_MKPRETTY_COLOR_USAGE_IS"
    while IFS= read line;
    do echo -e "$line"; done
    echo -ne "$FFOO_MKPRETTY_COLOR_OFF"
}


mkpretty_think() {
    while IFS= read line;
    do echo "$line"; done
}


mkpretty_warn() {
    echo -ne "$FFOO_MKPRETTY_COLOR_WARN"
    while IFS= read line;
    do echo "$line"; done
    echo -ne "$FFOO_MKPRETTY_COLOR_OFF"
}
